
public class Class562 {

   public static final int anInt7486 = 1024;
   public static final int anInt7487 = 8;
   public static final int anInt7488 = 2;
   public static final int anInt7489 = 511;
   public static final int anInt7490 = 9;
   public static final int anInt7491 = 512;
   public static final int anInt7492 = 256;
   public static final int anInt7493 = 128;
   public static final int anInt7494 = 7;


   static {
      Math.sqrt(131072.0D);
   }

   Class562() throws Throwable {
      throw new Error();
   }

   static final void method11949(Class124 var0, Class121 var1, Class508 var2, int var3) {
      String var4 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
      if(Class245.method4382(var4, var2, (byte)69) != null) {
         if(var3 <= -937710807) {
            ;
         }

         var4 = var4.substring(0, var4.length() - 1);
      }

      var0.anObjectArray1472 = Class193.method3350(var4, var2, 1216851769);
      var0.aBool1520 = true;
   }

   public static void method11950(int var0) {
      for(Class225_Sub2 var1 = (Class225_Sub2)Class489.aClass423_5910.method7208(-405853513); null != var1; var1 = (Class225_Sub2)Class489.aClass423_5910.method7226(-926965427)) {
         if(var0 != 1251184143) {
            ;
         }

         IncommingOpcode.method5362(var1.anInt8363 * 776858865, (byte)116);
      }

   }

   static void method11951(int var0, int var1, short var2) {
      if(-1213683087 * Class2.anInt26 == 1) {
         Class228.method3946(Class48.aClass225_Sub14_Sub3_496, var0, var1, 1209258472);
      } else if(-1213683087 * Class2.anInt26 == 2) {
         Class400.method6808(var0, var1, (byte)-4);
      }

      Class2.anInt26 = 0;
      Class48.aClass225_Sub14_Sub3_496 = null;
   }

   static final void method11952(Class124[] var0, int var1, byte var2) {
      for(int var3 = 0; var3 < var0.length; ++var3) {
         Class124 var4 = var0[var3];
         if(var4 != null && var1 == -1029733319 * var4.anInt1481 && !client.method12286(var4)) {
            if(258921611 * var4.anInt1370 == 0) {
               method11952(var0, 34646887 * var4.anInt1406, (byte)-21);
               if(var4.aClass124Array1521 != null) {
                  method11952(var4.aClass124Array1521, var4.anInt1406 * 34646887, (byte)-121);
               }

               Class225_Sub4 var5 = (Class225_Sub4)client.aClass423_7832.method7211((long)(34646887 * var4.anInt1406));
               if(var5 != null) {
                  Class181.method3220(var5.anInt8385 * -165881631, -1634415241);
               }
            }

            if(6 == 258921611 * var4.anInt1370 && -342442567 * var4.anInt1475 != -1) {
               if(null == var4.aClass477_1519) {
                  var4.aClass477_1519 = new Class477_Sub1();
                  var4.aClass477_1519.method7974(var4.anInt1475 * -342442567, 2100216398);
               }

               if(var4.aClass477_1519.method7991(client.anInt7746 * -833300345, (byte)0) && var4.aClass477_1519.method7987(1760736515)) {
                  var4.aClass477_1519.method7989((byte)-25);
               }
            }
         }
      }

   }

   static final void method11953(Class508 var0, byte var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      var0.anInt6003 -= 196624946;
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var4 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var2.indexOf(var3, var4);
   }
}
